## viper-browser 0.9.1%2Bgit20210702

=== tests/CMakeLists.txt ===
add_subdirectory(core)

=== src/plugins/CMakeLists.txt ===
if (KF5Wallet_FOUND)
  message("-- Building Plugin: KWallet Integration")
  add_subdirectory(credential_store_kwallet)
endif()

=== tests/core/CMakeLists.txt ===
add_subdirectory(adblock)
add_subdirectory(bookmarks)
add_subdirectory(database)
add_subdirectory(history)
add_subdirectory(icons)
add_subdirectory(url_suggestion)
add_subdirectory(utility)

=== tests/core/adblock/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(AdBlockFilterTest_src
    AdBlockFilterTest.cpp
    AdBlockManager.cpp
)

add_executable(AdBlockFilterTest ${AdBlockFilterTest_src})

target_link_libraries(AdBlockFilterTest viper-core Qt5::Test Qt5::WebEngine)

add_test(NAME AdBlockFilter-Test COMMAND AdBlockFilterTest)

=== tests/core/bookmarks/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(BookmarkManagerTest_src
    BookmarkManagerTest.cpp
)

set(BookmarkIntegrationTest_src
    BookmarkIntegrationTest.cpp
)

add_executable(BookmarkManagerTest ${BookmarkManagerTest_src})
add_executable(BookmarkIntegrationTest ${BookmarkIntegrationTest_src})

target_link_libraries(BookmarkManagerTest viper-core viper-ui Qt5::Test Threads::Threads)
target_link_libraries(BookmarkIntegrationTest viper-core viper-ui Qt5::Test Threads::Threads)

add_test(NAME BookmarkManager-Test COMMAND BookmarkManagerTest)
add_test(NAME BookmarkIntegration-Test COMMAND BookmarkIntegrationTest)

=== tests/core/database/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(DatabaseWorkerTest_src
    FakeDatabaseWorker.cpp
    DatabaseWorkerTest.cpp
)

add_executable(DatabaseWorkerTest ${DatabaseWorkerTest_src})

target_link_libraries(DatabaseWorkerTest viper-core sqlite-wrapper-cpp Qt5::Test Qt5::WebEngine)

add_test(NAME DatabaseWorker-Test COMMAND DatabaseWorkerTest)

=== tests/core/history/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(HistoryManagerTest_src
    HistoryManagerTest.cpp
)
set(HistoryStoreTest_src
    HistoryStoreTest.cpp
)

add_executable(HistoryManagerTest ${HistoryManagerTest_src})
add_executable(HistoryStoreTest ${HistoryStoreTest_src})

target_link_libraries(HistoryManagerTest viper-core viper-ui Qt5::Test Threads::Threads)
target_link_libraries(HistoryStoreTest viper-core viper-ui Qt5::Test Threads::Threads)

add_test(NAME HistoryManager-Test COMMAND HistoryManagerTest)
add_test(NAME HistoryStore-Test COMMAND HistoryStoreTest)

=== src/core/database/sqlite/CMakeLists.txt ===
set(sqlite-wrapper_src
    internal/implementation.cpp
    Database.cpp
    PreparedStatement.cpp
)
add_library(sqlite-wrapper-cpp STATIC ${sqlite-wrapper_src})
target_link_libraries(sqlite-wrapper-cpp ${SQLite3_LIBRARY})

## viper-browser 0.9.1

=== debian/changelog ===
viper-browser (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Fri, 23 Jul 2021 14:23:17 +0200

=== debian/control ===
Source: viper-browser
Section: web
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: cmake (>= 3.1.0),
               debhelper (>= 10),
               qtbase5-dev (>= 5.9.0),
               qtwebengine5-dev,
               libkf5wallet-dev,
               libsqlite3-dev
Standards-Version: 3.9.6
Homepage: https://github.com/LeFroid/Viper-Browser

Package: viper-browser
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Viper Browser
  A powerful yet lightweight web browser built with the Qt framework

## viper-browser 0.9.1+git20210702

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(Viper-Browser VERSION 0.9.1)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 17)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

if (CMAKE_SYSTEM_PROCESSOR MATCHES "(x86)|(X86)|(amd64)|(AMD64)")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -msse3 -msse4")
endif()

set(CMAKE_CXX_FLAGS_DEBUG "-g")
set(CMAKE_CXX_FLAGS_RELEASE "-O3")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

if(UNIX)
  include(GNUInstallDirs)
  set(VIPER_PLUGIN_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/viper-browser/plugins")
else()
  set(VIPER_PLUGIN_DIR "${CMAKE_INSTALL_PREFIX}/plugins")
endif()

set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
set(THREADS_PREFER_PTHREAD_FLAG TRUE)
find_package(Threads)

# Get Qt
set(QT_VERSION_MIN "5.9.0")
find_package(Qt5 ${QT_VERSION_MIN} REQUIRED COMPONENTS Core Concurrent Gui Network PrintSupport Svg QuickWidgets Widgets WebChannel WebEngineWidgets)

if (ENABLE_TESTING)
    find_package(Qt5 ${QT_VERSION_MIN} REQUIRED COMPONENTS Test WebEngine)
endif()

# Check for credential storage backends
if(UNIX AND NOT APPLE)
    find_package(KF5Wallet)
    if (KF5Wallet_FOUND)
        message("-- Found KWallet")
        add_definitions(-DUSE_KWALLET)
    endif()
endif()

find_package (SQLite3)
include_directories(${SQLite3_INCLUDE_DIR})

configure_file(${CMAKE_SOURCE_DIR}/src/config.h.in ${CMAKE_SOURCE_DIR}/src/config.h)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/app
    ${CMAKE_SOURCE_DIR}/src/core/adblock
    ${CMAKE_SOURCE_DIR}/src/core/app
    ${CMAKE_SOURCE_DIR}/src/core/autofill
    ${CMAKE_SOURCE_DIR}/src/core/bookmarks
    ${CMAKE_SOURCE_DIR}/src/core/cache
    ${CMAKE_SOURCE_DIR}/src/core/cookies
    ${CMAKE_SOURCE_DIR}/src/core/credentials
    ${CMAKE_SOURCE_DIR}/src/core/database
    ${CMAKE_SOURCE_DIR}/src/core/database/sqlite
    ${CMAKE_SOURCE_DIR}/src/core/downloads
    ${CMAKE_SOURCE_DIR}/src/core/extensions
    ${CMAKE_SOURCE_DIR}/src/core/highlighters
    ${CMAKE_SOURCE_DIR}/src/core/history
    ${CMAKE_SOURCE_DIR}/src/core/icons
    ${CMAKE_SOURCE_DIR}/src/core/ipc
    ${CMAKE_SOURCE_DIR}/src/core/network
    ${CMAKE_SOURCE_DIR}/src/core/search
    ${CMAKE_SOURCE_DIR}/src/core/session
    ${CMAKE_SOURCE_DIR}/src/core/settings
    ${CMAKE_SOURCE_DIR}/src/core/text_finder
    ${CMAKE_SOURCE_DIR}/src/core/threading
    ${CMAKE_SOURCE_DIR}/src/core/url_suggestion
    ${CMAKE_SOURCE_DIR}/src/core/user_agents
    ${CMAKE_SOURCE_DIR}/src/core/user_scripts
    ${CMAKE_SOURCE_DIR}/src/core/utility
    ${CMAKE_SOURCE_DIR}/src/core/web
    ${CMAKE_SOURCE_DIR}/src/ui/adblock
    ${CMAKE_SOURCE_DIR}/src/ui/autofill
    ${CMAKE_SOURCE_DIR}/src/ui/bookmarks
    ${CMAKE_SOURCE_DIR}/src/ui/cookies
    ${CMAKE_SOURCE_DIR}/src/ui/downloads
    ${CMAKE_SOURCE_DIR}/src/ui/history
    ${CMAKE_SOURCE_DIR}/src/ui/network
    ${CMAKE_SOURCE_DIR}/src/ui/preferences
    ${CMAKE_SOURCE_DIR}/src/ui/url_suggestion
    ${CMAKE_SOURCE_DIR}/src/ui/user_agents
    ${CMAKE_SOURCE_DIR}/src/ui/user_scripts
    ${CMAKE_SOURCE_DIR}/src/ui/web
    ${CMAKE_SOURCE_DIR}/src/ui/widgets
    ${CMAKE_SOURCE_DIR}/src/ui/window
)

add_subdirectory(src)

if (ENABLE_TESTING)
    enable_testing(true)
    add_subdirectory(tests)
endif()

if(UNIX AND NOT APPLE)
    install(FILES data/viper-browser.png DESTINATION share/icons/hicolor/64x64/apps)
    install(FILES data/viper-browser.desktop DESTINATION share/applications)
endif()

=== src/CMakeLists.txt ===
add_subdirectory(app)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(plugins)

=== src/app/CMakeLists.txt ===
#set(CMAKE_AUTORCC ON)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/assets)
include_directories(${CMAKE_SOURCE_DIR}/src/app/assets)

qt5_add_resources(viper_qrc assets/application.qrc)

set(viper_browser_src
    main.cpp
)

add_executable(viper-browser ${viper_qrc} ${viper_browser_src})

target_link_libraries(viper-browser
    sqlite-wrapper-cpp
    viper-core
    viper-ui
    Threads::Threads
)


install(TARGETS viper-browser DESTINATION bin)

=== src/core/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(database)
 
set(viper_src
    adblock/AdBlockFilter.cpp
    adblock/AdBlockFilterContainer.cpp
    adblock/AdBlockFilterParser.cpp
    adblock/AdBlockLog.cpp
    adblock/AdBlockLogTableModel.cpp
    adblock/AdBlockManager.cpp
    adblock/AdBlockModel.cpp
    adblock/AdBlockRequestHandler.cpp
    adblock/AdBlockSubscription.cpp
    adblock/FilterBucket.cpp
    adblock/RecommendedSubscriptions.cpp
    app/BrowserApplication.cpp
    app/BrowserScripts.cpp
    autofill/AutoFill.cpp
    autofill/AutoFillBridge.cpp
    bookmarks/BookmarkExporter.cpp
    bookmarks/BookmarkFolderModel.cpp
    bookmarks/BookmarkImporter.cpp
    bookmarks/BookmarkManager.cpp
    bookmarks/BookmarkStore.cpp
    bookmarks/BookmarkNode.cpp
    bookmarks/BookmarkTableModel.cpp
    cookies/CookieJar.cpp
    cookies/CookieTableModel.cpp
    cookies/DetailedCookieTableModel.cpp
    credentials/CredentialStore.cpp
    database/DatabaseWorker.cpp
    database/bindings/QtSQLite.cpp
    downloads/InternalDownloadItem.cpp
    extensions/ExtStorage.cpp
    highlighters/HTMLHighlighter.cpp
    highlighters/JavaScriptHighlighter.cpp
    history/FavoritePagesManager.cpp
    history/HistoryManager.cpp
    history/HistoryStore.cpp
    history/HistoryTableModel.cpp
    history/URLRecord.cpp
    history/WebPageThumbnailStore.cpp
    icons/FaviconManager.cpp
    icons/FaviconStore.cpp
    icons/FaviconStoreBridge.cpp
    ipc/BrowserIPC.cpp
    network/BlockedSchemeHandler.cpp
    network/HttpRequest.cpp
    network/NetworkAccessManager.cpp
    network/RequestInterceptor.cpp
    network/SchemeRegistry.cpp
    network/SecurityManager.cpp
    network/ViperNetworkReply.cpp
    network/ViperSchemeHandler.cpp
    search/SearchEngineManager.cpp
    session/SessionManager.cpp
    settings/AppInitSettings.cpp
    settings/Settings.cpp
    settings/WebSettings.cpp
    text_finder/ITextFinder.cpp
    text_finder/TextEditorTextFinder.cpp
    text_finder/WebPageTextFinder.cpp
    threading/DatabaseTaskScheduler.cpp
    url_suggestion/BookmarkSuggestor.cpp
    url_suggestion/HistorySuggestor.cpp
    url_suggestion/URLSuggestion.cpp
    url_suggestion/URLSuggestionListModel.cpp
    url_suggestion/URLSuggestionWorker.cpp
    user_agents/UserAgentManager.cpp
    user_scripts/UserScript.cpp
    user_scripts/UserScriptManager.cpp
    user_scripts/UserScriptModel.cpp
    user_scripts/WebEngineScriptAdapter.cpp
    utility/CommonUtil.cpp
    utility/FastHash.cpp
    web/public_suffix/PublicSuffixManager.cpp
    web/public_suffix/PublicSuffixRuleParser.cpp
    web/public_suffix/PublicSuffixTreeNode.cpp
    web/public_suffix/PublicSuffixTree.cpp
    web/URL.cpp
    web/WebActionProxy.cpp
    web/WebHistory.cpp
    web/WebHitTestResult.cpp
    web/WebPage.cpp
)

#if (KF5Wallet_FOUND)
#  set(viper_src ${viper_src} credentials/CredentialStoreKWallet.cpp)
#endif()

set(viper_core_deps
    ${viper_src}
)

add_library(viper-core STATIC ${viper_src}) 
target_link_libraries(viper-core
    sqlite-wrapper-cpp
    Qt5::Core
    Qt5::Concurrent
    Qt5::Gui
    Qt5::Network
    Qt5::PrintSupport
    Qt5::Svg
    Qt5::QuickWidgets
    Qt5::Widgets
    Qt5::WebChannel
    Qt5::WebEngineCore
    Qt5::WebEngineWidgets
)

#if (KF5Wallet_FOUND)
#    target_compile_definitions(viper-core PRIVATE USE_KWALLET=1)
#    target_link_libraries(viper-core KF5::Wallet)
#endif()

=== src/ui/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(viper_ui_src
    adblock/AdBlockButton.cpp
    adblock/AdBlockLogDisplay.cpp
    adblock/AdBlockSubscribeDialog.cpp
    adblock/AdBlockWidget.cpp
    adblock/CustomFilterEditor.cpp
    autofill/AutoFillCredentialsView.cpp
    autofill/AutoFillDialog.cpp
    bookmarks/BookmarkBar.cpp
    bookmarks/BookmarkDialog.cpp
    bookmarks/BookmarkMenu.cpp
    bookmarks/BookmarkWidget.cpp
    bookmarks/FolderNavigationAction.cpp
    bookmarks/FolderNavigator.cpp
    cookies/CookieModifyDialog.cpp
    cookies/CookieWidget.cpp
    downloads/DownloadItem.cpp
    downloads/DownloadManager.cpp
    history/ClearHistoryDialog.cpp
    history/HistoryMenu.cpp
    history/HistoryWidget.cpp
    network/AuthDialog.cpp
    network/CertificateGeneralTab.cpp
    network/CertificateViewer.cpp
    network/SecurityInfoDialog.cpp
    preferences/AddSearchEngineDialog.cpp
    preferences/AdvancedTab.cpp
    preferences/ContentTab.cpp
    preferences/ExemptThirdPartyCookieDialog.cpp
    preferences/GeneralTab.cpp
    preferences/Preferences.cpp
    preferences/PrivacyTab.cpp
    preferences/SearchTab.cpp
    url_suggestion/URLSuggestionItemDelegate.cpp
    url_suggestion/URLSuggestionWidget.cpp
    user_agents/AddUserAgentDialog.cpp
    user_agents/UserAgentMenu.cpp
    user_agents/UserAgentsWindow.cpp
    user_scripts/AddUserScriptDialog.cpp
    user_scripts/UserScriptEditor.cpp
    user_scripts/UserScriptWidget.cpp
    web/ViewSourceWindow.cpp
    web/WebDialog.cpp
    web/WebInspector.cpp
    web/WebLoadObserver.cpp
    web/WebState.cpp
    web/WebView.cpp
    web/WebWidget.cpp
    welcome_window/WelcomeWindow.cpp
    widgets/CheckableTableView.cpp
    widgets/CodeEditor.cpp
    widgets/FileChooserLineEdit.cpp
    widgets/FindTextWidget.cpp
    window/BrowserTabBar.cpp
    window/BrowserTabWidget.cpp
    window/MainWindow.cpp
    window/NavigationToolBar.cpp
    window/SearchEngineLineEdit.cpp
    window/TabBarMimeDelegate.cpp
    window/ToolMenu.cpp
    window/URLLineEdit.cpp
)

qt5_wrap_ui(viper_ui_files
    adblock/AdBlockLogDisplay.ui
    adblock/AdBlockSubscribeDialog.ui
    adblock/AdBlockWidget.ui
    adblock/CustomFilterEditor.ui
    autofill/AutoFillCredentialsView.ui
    autofill/AutoFillDialog.ui
    bookmarks/BookmarkDialog.ui
    bookmarks/BookmarkWidget.ui
    cookies/CookieModifyDialog.ui
    cookies/CookieWidget.ui
    downloads/DownloadItem.ui
    downloads/DownloadManager.ui
    history/ClearHistoryDialog.ui
    history/HistoryWidget.ui
    network/AuthDialog.ui
    network/CertificateGeneralTab.ui
    network/CertificateViewer.ui
    network/SecurityInfoDialog.ui
    preferences/AddSearchEngineDialog.ui
    preferences/AdvancedTab.ui
    preferences/ContentTab.ui
    preferences/ExemptThirdPartyCookieDialog.ui
    preferences/GeneralTab.ui
    preferences/Preferences.ui
    preferences/PrivacyTab.ui
    preferences/SearchTab.ui
    user_agents/AddUserAgentDialog.ui
    user_agents/UserAgentsWindow.ui
    user_scripts/AddUserScriptDialog.ui
    user_scripts/UserScriptEditor.ui
    user_scripts/UserScriptWidget.ui
    web/ViewSourceWindow.ui
    widgets/FindTextWidget.ui
    window/MainWindow.ui
)

set(viper_ui_deps
    ${viper_ui_src}
    ${viper_ui_files}
)

add_library(viper-ui STATIC ${viper_ui_deps})
target_link_libraries(viper-ui
    viper-core
    Qt5::Core
    Qt5::Concurrent
    Qt5::Gui
    Qt5::Network
    Qt5::PrintSupport
    Qt5::Svg
    Qt5::QuickWidgets
    Qt5::Widgets
    Qt5::WebChannel
    Qt5::WebEngineWidgets
)

=== src/plugins/credential_store_kwallet/CMakeLists.txt ===
set(credential_store_kwallet_src
    CredentialStoreKWallet.cpp
)

add_library(CredentialStoreKwallet SHARED ${credential_store_kwallet_src})

target_link_libraries(CredentialStoreKwallet
  viper-core
  Qt5::Core
  KF5::Wallet
)
install(TARGETS CredentialStoreKwallet DESTINATION "${VIPER_PLUGIN_DIR}")

=== tests/core/icons/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(FaviconManagerTest_src
    FaviconManagerTest.cpp
)

add_executable(FaviconManagerTest ${FaviconManagerTest_src})

target_link_libraries(FaviconManagerTest viper-core viper-ui Qt5::Test Threads::Threads)

#add_test(NAME FaviconManager-Test COMMAND FaviconManagerTest)

=== tests/core/url_suggestion/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_executable(HistorySuggestorTest HistorySuggestorTest.cpp)
target_link_libraries(HistorySuggestorTest viper-core viper-ui Qt5::Test Threads::Threads)

add_test(NAME HistorySuggestor-Test COMMAND HistorySuggestorTest)

=== tests/core/utility/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

set(FastHashTest_src
    FastHashTest.cpp
)

set(CommonUtil_RegExpTest_src
    CommonUtil_RegExpTest.cpp
)

add_executable(FastHashTest ${FastHashTest_src})
add_executable(CommonUtil-RegExpTest ${CommonUtil_RegExpTest_src})

target_link_libraries(FastHashTest viper-core Qt5::Test)
target_link_libraries(CommonUtil-RegExpTest viper-core Qt5::Test)

add_test(NAME FastHash-Test COMMAND FastHashTest)
add_test(NAME CommonUtil-RegExp-Test COMMAND CommonUtil-RegExpTest)

=== debian/changelog ===
viper-browser (0.9.1+git20210702-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 27 Jul 2021 17:44:50 -0400

=== debian/control ===
Source: viper-browser
Section: web
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Timothy Vaccarelli <tmvfroid@gmail.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, qttools5-dev, libqt5svg5-dev, qtwebengine5-dev, libsqlite3-dev, libkf5wallet-dev,
Standards-Version: 4.1.5
Homepage: https://github.com/LeFroid/Viper-Browser

Package: viper-browser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful yet lightweight web browser built with the Qt framework
 A powerful yet lightweight web browser built with the Qt framework.
 .
 Features:
  * All development is done with a focus on privacy, minimalism, and
    customization ability
  * Bookmark management
  * Built-in ad blocker, compatible with AdBlock Plus and uBlock Origin
    filters
  * Cookie viewer, editor, and support for cookie filters
  * Compatible with Pepper Plugin API
  * Custom user agent support
  * Fast and lightweight
  * Fullscreen support
  * Granular control over browser settings and web permissions
  * Gives the user control over their data, no invasions of privacy like
    other browsers are known to do
  * GreaseMonkey-style UserScript support
  * Multiple options for home page- any URL, blank page, or a card layout
    page with favorite and most visited websites
  * PDF.js embedded into the browser
  * Save and restore browsing sessions, local tab history, pinned tabs
  * Secure AutoFill manager
  * Tab drag-and-drop support for HTML links, local files, other browser
    window tabs, etc
  * Tab hibernation / wake up support
  * Traditional browser UI design instead of WebUI and chromium-based
    interfaces

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym
